Page MenuHomePhabricator

bn (Bengali) language code does not work at German Wikivoyage, overwritten by local "Benutzer" alias
Closed, ResolvedPublic

Description

Inline wiki markup like [[:bn:|main page]] is not parsed. Most of the interwiki links (from Wikidata) are missing or wrong. If present as on the main page https://de.wikivoyage.org/wiki/Hauptseite then they are linked to the user namespace.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 11 2018, 2:15 PM
TTO added a subscriber: TTO.Jun 12 2018, 9:30 AM

The prefix BN: has been set up as an alias for the Benutzer: namespace (per the config file). This overrides the interwiki prefix.

I'd suggest to seek community consensus to remove that namespace alias. To be honest, it's hard to see why an alias to the User namespace would be needed.

Aklapper renamed this task from bn (Bengali) language code does not work properly at German Wikivoyage to bn (Bengali) language code does not work at German Wikivoyage, overwritten by local "Benutzer" alias.Jun 12 2018, 9:53 AM

We should remove the namespace alias. It was never used. "user" can be used as a shorter alias, too. But the bn language code should work.

When we ask for the BN alias in the past nobody thought about Bengali Wikivoyage. But now it became reality.

TTO added a comment.Jun 14 2018, 10:00 AM

We should remove the namespace alias.

Could you please post this to the local discussion venue in order to seek consensus? As you observe, I think it is unlikely that there will be objections, but we had better see what the community has to say. Configuration changes like this, small as they may seem, have proven problematic in the past when not supported by consensus.

Today I ask the community to get a consensus to remove the namespace alias bn:

https://de.wikivoyage.org/wiki/Wikivoyage:Lounge#Abschaffung_des_Namensraumk%C3%BCrzels_BN

The voting will take a few days.

Urbanecm claimed this task.Jun 15 2018, 6:00 AM
Urbanecm triaged this task as High priority.
Urbanecm added a subscriber: Urbanecm.

I will take care about this after the voting. I feel it should be informing discussion, because such change would be declined at other projects.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJun 15 2018, 6:00 AM
Restricted Application added a subscriber: Dereckson. · View Herald Transcript

Change 440652 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Remove BN alias for NS_USER on dewikivoyage

https://gerrit.wikimedia.org/r/440652

Urbanecm moved this task from Backlog to To deploy on the User-Urbanecm board.Jun 16 2018, 9:36 AM
Urbanecm moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.

Seems there's agreement.

Now we have a community consensus. We replaced all BN aliases für NS_USER, too.

Now we have a community consensus. We replaced all BN aliases für NS_USER, too.

Replaced? Or removed?

Replaced by its namespace name ("Benutzer" = "user") that means bn is no longer used as a namespace alias.

Ok, so you want to have namespace alias "BN" dropped without replacement?

TTO added a comment.Jun 19 2018, 7:18 AM

Ok, so you want to have namespace alias "BN" dropped without replacement?

Yes, that is what they want.

Yes, BN alias to drop without any replacement.

Change 440652 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove BN alias for NS_USER on dewikivoyage

https://gerrit.wikimedia.org/r/440652

Mentioned in SAL (#wikimedia-operations) [2018-06-25T13:37:16Z] <hashar@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Remove BN alias for NS_USER on dewikivoyage - T196905 (duration: 00m 57s)

Urbanecm closed this task as Resolved.Jun 25 2018, 2:27 PM

Deployed. If there were links to bn:, they are directing to bn.wikivoyage. As I assume they should be fixed, I suggest you to ask a local bot owner to fix links.

Vvjjkkii renamed this task from bn (Bengali) language code does not work at German Wikivoyage, overwritten by local "Benutzer" alias to q9aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Urbanecm as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
RolandUnger closed this task as Resolved.Jul 1 2018, 5:50 AM
RolandUnger assigned this task to Urbanecm.
JJMC89 renamed this task from q9aaaaaaaa to bn (Bengali) language code does not work at German Wikivoyage, overwritten by local "Benutzer" alias.Jul 1 2018, 5:51 AM
JJMC89 updated the task description. (Show Details)
JJMC89 added a subscriber: Aklapper.